Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.jsptools.portal
Class PortalAdminWsrpHelper

    java.lang.Object
      com.bea.jsptools.portal.PortalAdminWsrpHelper

public class PortalAdminWsrpHelper
extends Object

Field Summary
`static String` | `I18N_FILE`

Constructor Summary
`PortalAdminWsrpHelper()`

Method Summary
`static void` | `addPortlet(String producerHandle, String webApp, String portletIndex, HttpServletRequest request)`
`static void` | `addProducer(String wsdlUrl, String producerHandle, String vendorName, String description, String webApp, HttpServletRequest request)`
`static void` | `deregisterConsumer(String producerHandle, String webApp, HttpServletRequest request)`
`static PortletDefinition[]` | `getAddedPortlets(String webAppName, String producerHandle, HttpServletRequest request)`
`static ProducerInfo` | `getProducerInfo(String producerHandle, String webApp)`
`static ServiceDescription` | `getServiceDescription(String producerHandle, String wsdlUrl, String webApp, HttpServletRequest request)`
`static void` | `registerConsumer(String producerHandle, String webApp, String consumerName, String consumerAgent, HttpServletRequest request)`
`static void` | `removeProducer(String producerHandle, String webApp, HttpServletRequest request)`
`static void` | `updateProducer(String producerHandle, String vendorName, String description, String webApp, HttpServletRequest request)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### I18N_FILE

    public static final String I18N_FILE

See Also:
  Constant Field Values

Constructor Detail

### PortalAdminWsrpHelper

    public PortalAdminWsrpHelper()

Method Detail

### addPortlet

    public static void addPortlet(String producerHandle,
                                  String webApp,
                                  String portletIndex,
                                  HttpServletRequest request)
                           throws javax.portlet.PortletException

  Throws:
    `javax.portlet.PortletException`

### addProducer

    public static void addProducer(String wsdlUrl,
                                   String producerHandle,
                                   String vendorName,
                                   String description,
                                   String webApp,
                                   HttpServletRequest request)
                            throws javax.portlet.PortletException

  Throws:
    `javax.portlet.PortletException`

### deregisterConsumer

    public static void deregisterConsumer(String producerHandle,
                                          String webApp,
                                          HttpServletRequest request)

### getAddedPortlets

    public static PortletDefinition[] getAddedPortlets(String webAppName,
                                                       String producerHandle,
                                                       HttpServletRequest request)
                                                throws javax.portlet.PortletException

  Throws:
    `javax.portlet.PortletException`

### getProducerInfo

    public static ProducerInfo getProducerInfo(String producerHandle,
                                               String webApp)
                                        throws javax.portlet.PortletException

  Throws:
    `javax.portlet.PortletException`

### getServiceDescription

    public static ServiceDescription getServiceDescription(String producerHandle,
                                                           String wsdlUrl,
                                                           String webApp,
                                                           HttpServletRequest request)
                                                    throws javax.portlet.PortletException

  Throws:
    `javax.portlet.PortletException`

### registerConsumer

    public static void registerConsumer(String producerHandle,
                                        String webApp,
                                        String consumerName,
                                        String consumerAgent,
                                        HttpServletRequest request)
                                 throws javax.portlet.PortletException

  Throws:
    `javax.portlet.PortletException`

### removeProducer

    public static void removeProducer(String producerHandle,
                                      String webApp,
                                      HttpServletRequest request)
                               throws javax.portlet.PortletException

  Throws:
    `javax.portlet.PortletException`

### updateProducer

    public static void updateProducer(String producerHandle,
                                      String vendorName,
                                      String description,
                                      String webApp,
                                      HttpServletRequest request)
                               throws javax.portlet.PortletException

  Throws:
    `javax.portlet.PortletException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved